//var osloc = require("os-locale")
var ZTC = {
    set_python: (python)=>{ ZTC.python = python},
    set_toolchain: (toolchain)=>{ ZTC.toolchain = toolchain},
    set_locale:(locale)=>{ZTC.locale_command = locale},
    set_cwd: (cwd)=>{ ZTC.cwd = cwd},
    locale: null,//(!osloc.sync()) ? ("en_US.UTF-8"):(osloc.sync()+".UTF-8"),
    command: function(args,options){
        return new Promise(function(resolve,reject){
            const spawn = require('child_process').spawn;
            const spawns = require('child_process').spawnSync;
            const rl = require('readline')
            var opt = options || {}
            if (!ZTC.locale){
                var loccmd = spawns(ZTC.python,[ZTC.locale_command],{encoding:"utf8"})
                console.log("loccmd",loccmd)
                loccmd.stdout = loccmd.stdout.replace(new RegExp(String.fromCharCode(10), "g"),'')
                try{
                    var locj = JSON.parse(loccmd.stdout)
                }
                catch(err){
                    console.log(err)
                    locj = "en_US.UTF-8"
                }
                console.log(locj)
                ZTC.locale = locj
            }
            clog("[ztc]> Executing "+args.join(" "))
            args.unshift("installer")
            args.unshift("--user_agent")
            args.unshift(ZTC.toolchain)
                
            var environ ={
                ZERYNTH_TESTMODE: process.env.ZERYNTH_TESTMODE || 0,
                LC_ALL: ZTC.locale,
                LANG: ZTC.locale
            }
            console.log("ZTC Locale: "+ZTC.locale)
            const cmd = spawn(ZTC.python,args,{detached:true,env:environ})

            var outline = rl.createInterface({input:cmd.stdout})
            var errline = rl.createInterface({input:cmd.stderr})
            if (opt.stdout) {
                outline.on("line",opt.stdout)
            } else {
                outline.on("line",(data)=>{
                    clog(data)
                })
            }
            if (opt.stderr) {
                errline.on("line",opt.stderr)
            } else {
                errline.on("line",(data)=>{
                    clog(data)
                })
            }
            //TODO: do this conditionally on opt.background
            cmd.on("close",(code)=>{
                if(opt.always_resolve) resolve()
                else if(code==0) resolve();
                else reject(code)
            })
            cmd.on("error",(err)=>{
                clog("[ztc]> Not run!")
                reject(err)
            })
            if (opt.background) resolve(cmd)
        })
    }
}
